ru.bitel.bgbilling.kernel.tariff.server.bean

## Class TariffLabelManager

- java.lang.Object
- - ru.bitel.bgbilling.kernel.tariff.server.bean.TariffLabelManager

-     public class TariffLabelManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `TABLE_TARIFF_LABEL`
    `protected static java.lang.String` | `TABLE_TARIFF_LABEL_LINK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffLabelManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.Integer>` | `getTariffIdsByLabelId(int labelId)` Получить коды тарифов имеющих заданную метку
    `java.util.Set<java.lang.Integer>` | `getTariffLabelIds(int tariffPlanId)`
    `java.util.List<TariffLabelItem>` | `getTariffLabelItemList()`
    `void` | `removeTariffLabelItem(int tariffLabelItemId)`
    `void` | `setTariffLabelIds(int tariffPlanId, java.util.Set<java.lang.Integer> labelIds)`
    `void` | `updateTariffLabelTreeItem(TariffLabelItem tariffLabelItem)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_TARIFF_LABEL

          protected static final java.lang.String TABLE_TARIFF_LABEL

      See Also:
        Constant Field Values

    - #### TABLE_TARIFF_LABEL_LINK

          protected static final java.lang.String TABLE_TARIFF_LABEL_LINK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TariffLabelManager

          public TariffLabelManager(java.sql.Connection con)

  - ### Method Detail

    - #### getTariffLabelItemList

          public java.util.List<TariffLabelItem> getTariffLabelItemList()
                                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTariffLabelIds

          public java.util.Set<java.lang.Integer> getTariffLabelIds(int tariffPlanId)
                                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTariffIdsByLabelId

          public java.util.Set<java.lang.Integer> getTariffIdsByLabelId(int labelId)
                                                                 throws ru.bitel.bgbilling.common.BGException

      Получить коды тарифов имеющих заданную метку
      Parameters:
        `labelId` - - код метки
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### setTariffLabelIds

          public void setTariffLabelIds(int tariffPlanId,
                                        java.util.Set<java.lang.Integer> labelIds)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateTariffLabelTreeItem

          public void updateTariffLabelTreeItem(TariffLabelItem tariffLabelItem)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### removeTariffLabelItem

          public void removeTariffLabelItem(int tariffLabelItemId)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`